﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

namespace HeuristicLab.DataImporter.Data.View {
  partial class ColumnGroupView {
    /// <summary> 
    /// Required designer variable.
    /// </summary>
    private System.ComponentModel.IContainer components = null;

    /// <summary> 
    /// Clean up any resources being used.
    /// </summary>
    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
    protected override void Dispose(bool disposing) {
      if (disposing) {
        if( (components != null))
          components.Dispose();

        ColumnGroup.Changed -= ColumnGroupChanged;
        StateChanged = null;
        Activated = null;               

        dataGridView.ColumnHeaderMouseClick -= dataGridView_ColumnHeaderMouseClick;
        dataGridView.ColumnWidthChanged -= dataGridView_ColumnWidthChanged;
        dataGridView.MouseClick -= dataGridView_MouseClick;
        dataGridView.SelectionChanged -= dataGridView_SelectionChanged;
        dataGridView.AllowUserToOrderColumnsChanged -= dataGridView_AllowUserToOrderColumnsChanged;        
        dataGridView.KeyDown -= dataGridView_KeyDown;

        dataGridView.CellValueNeeded -= dataGridView_CellValueNeeded;
        dataGridView.CellValuePushed -= dataGridView_CellValuePushed;
        dataGridView.UserDeletingRow -= dataGridView_UserDeletingRow;

        //commented because otherwise dispose crashes while editing a cell
        //dataGridView.Dispose();
      }
      base.Dispose(disposing);
      System.GC.Collect();
    }

    #region Component Designer generated code

    /// <summary> 
    /// Required method for Designer support - do not modify 
    /// the contents of this method with the code editor.
    /// </summary>
    private void InitializeComponent() {
      this.components = new System.ComponentModel.Container();
      System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
      System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
      this.dataGridView = new System.Windows.Forms.DataGridView();
      this.txtColumnGroupName = new System.Windows.Forms.TextBox();
      this.splitContainer1 = new System.Windows.Forms.SplitContainer();
      this.tableLayoutPanel1 = new System.Windows.Forms.TableLayoutPanel();
      this.label1 = new System.Windows.Forms.Label();
      this.lblMean = new System.Windows.Forms.Label();
      this.label5 = new System.Windows.Forms.Label();
      this.lblMaximum = new System.Windows.Forms.Label();
      this.label4 = new System.Windows.Forms.Label();
      this.lblMinimum = new System.Windows.Forms.Label();
      this.label3 = new System.Windows.Forms.Label();
      this.lblNullValues = new System.Windows.Forms.Label();
      this.label2 = new System.Windows.Forms.Label();
      this.lblValues = new System.Windows.Forms.Label();
      this.label6 = new System.Windows.Forms.Label();
      this.label7 = new System.Windows.Forms.Label();
      this.lblStdDev = new System.Windows.Forms.Label();
      this.lblMedian = new System.Windows.Forms.Label();
      this.toolTip = new System.Windows.Forms.ToolTip(this.components);
      ((System.ComponentModel.ISupportInitialize)(this.dataGridView)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).BeginInit();
      this.splitContainer1.Panel1.SuspendLayout();
      this.splitContainer1.Panel2.SuspendLayout();
      this.splitContainer1.SuspendLayout();
      this.tableLayoutPanel1.SuspendLayout();
      this.SuspendLayout();
      // 
      // dataGridView
      // 
      this.dataGridView.AllowUserToAddRows = false;
      this.dataGridView.AllowUserToResizeRows = false;
      this.dataGridView.ClipboardCopyMode = System.Windows.Forms.DataGridViewClipboardCopyMode.Disable;
      dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
      dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
      dataGridViewCellStyle1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
      dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
      dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
      dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
      dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
      this.dataGridView.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
      this.dataGridView.ColumnHeadersHeight = 45;
      this.dataGridView.Dock = System.Windows.Forms.DockStyle.Fill;
      this.dataGridView.Location = new System.Drawing.Point(0, 0);
      this.dataGridView.MinimumSize = new System.Drawing.Size(400, 0);
      this.dataGridView.Name = "dataGridView";
      dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
      dataGridViewCellStyle2.BackColor = System.Drawing.SystemColors.Control;
      dataGridViewCellStyle2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
      dataGridViewCellStyle2.ForeColor = System.Drawing.SystemColors.WindowText;
      dataGridViewCellStyle2.SelectionBackColor = System.Drawing.SystemColors.Highlight;
      dataGridViewCellStyle2.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
      dataGridViewCellStyle2.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
      this.dataGridView.RowHeadersDefaultCellStyle = dataGridViewCellStyle2;
      this.dataGridView.RowHeadersWidth = 60;
      this.dataGridView.Size = new System.Drawing.Size(400, 380);
      this.dataGridView.TabIndex = 0;
      // 
      // txtColumnGroupName
      // 
      this.txtColumnGroupName.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                  | System.Windows.Forms.AnchorStyles.Right)));
      this.txtColumnGroupName.ForeColor = System.Drawing.SystemColors.WindowText;
      this.txtColumnGroupName.Location = new System.Drawing.Point(1, -1);
      this.txtColumnGroupName.Name = "txtColumnGroupName";
      this.txtColumnGroupName.ReadOnly = true;
      this.txtColumnGroupName.Size = new System.Drawing.Size(397, 20);
      this.txtColumnGroupName.TabIndex = 1;
      this.txtColumnGroupName.Click += new System.EventHandler(this.txtColumnGroupName_Click);
      this.txtColumnGroupName.DoubleClick += new System.EventHandler(this.txtColumnGroupName_DoubleClick);
      this.txtColumnGroupName.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtColumnGroupName_KeyDown);
      this.txtColumnGroupName.Leave += new System.EventHandler(this.txtColumnGroupName_Leave);
      // 
      // splitContainer1
      // 
      this.splitContainer1.Dock = System.Windows.Forms.DockStyle.Fill;
      this.splitContainer1.FixedPanel = System.Windows.Forms.FixedPanel.Panel1;
      this.splitContainer1.IsSplitterFixed = true;
      this.splitContainer1.Location = new System.Drawing.Point(0, 0);
      this.splitContainer1.Name = "splitContainer1";
      this.splitContainer1.Orientation = System.Windows.Forms.Orientation.Horizontal;
      // 
      // splitContainer1.Panel1
      // 
      this.splitContainer1.Panel1.Controls.Add(this.txtColumnGroupName);
      this.splitContainer1.Panel1.Controls.Add(this.tableLayoutPanel1);
      // 
      // splitContainer1.Panel2
      // 
      this.splitContainer1.Panel2.Controls.Add(this.dataGridView);
      this.splitContainer1.Size = new System.Drawing.Size(398, 490);
      this.splitContainer1.SplitterDistance = 106;
      this.splitContainer1.TabIndex = 2;
      // 
      // tableLayoutPanel1
      // 
      this.tableLayoutPanel1.ColumnCount = 4;
      this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 59F));
      this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 51.00671F));
      this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 68F));
      this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 48.99329F));
      this.tableLayoutPanel1.Controls.Add(this.label1, 0, 0);
      this.tableLayoutPanel1.Controls.Add(this.lblMean, 1, 2);
      this.tableLayoutPanel1.Controls.Add(this.label5, 0, 2);
      this.tableLayoutPanel1.Controls.Add(this.lblMaximum, 3, 1);
      this.tableLayoutPanel1.Controls.Add(this.label4, 2, 1);
      this.tableLayoutPanel1.Controls.Add(this.lblMinimum, 1, 1);
      this.tableLayoutPanel1.Controls.Add(this.label3, 0, 1);
      this.tableLayoutPanel1.Controls.Add(this.lblNullValues, 3, 0);
      this.tableLayoutPanel1.Controls.Add(this.label2, 2, 0);
      this.tableLayoutPanel1.Controls.Add(this.lblValues, 1, 0);
      this.tableLayoutPanel1.Controls.Add(this.label6, 0, 3);
      this.tableLayoutPanel1.Controls.Add(this.label7, 2, 2);
      this.tableLayoutPanel1.Controls.Add(this.lblStdDev, 3, 2);
      this.tableLayoutPanel1.Controls.Add(this.lblMedian, 1, 3);
      this.tableLayoutPanel1.Location = new System.Drawing.Point(-1, 20);
      this.tableLayoutPanel1.Name = "tableLayoutPanel1";
      this.tableLayoutPanel1.RowCount = 4;
      this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20F));
      this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20F));
      this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20F));
      this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20F));
      this.tableLayoutPanel1.Size = new System.Drawing.Size(401, 78);
      this.tableLayoutPanel1.TabIndex = 26;
      // 
      // label1
      // 
      this.label1.AutoSize = true;
      this.label1.Location = new System.Drawing.Point(3, 0);
      this.label1.Name = "label1";
      this.label1.Size = new System.Drawing.Size(42, 13);
      this.label1.TabIndex = 14;
      this.label1.Text = "Values:";
      // 
      // lblMean
      // 
      this.lblMean.AutoSize = true;
      this.lblMean.Location = new System.Drawing.Point(62, 40);
      this.lblMean.Name = "lblMean";
      this.lblMean.Size = new System.Drawing.Size(0, 13);
      this.lblMean.TabIndex = 23;
      // 
      // label5
      // 
      this.label5.AutoSize = true;
      this.label5.Location = new System.Drawing.Point(3, 40);
      this.label5.Name = "label5";
      this.label5.Size = new System.Drawing.Size(37, 13);
      this.label5.TabIndex = 22;
      this.label5.Text = "Mean:";
      // 
      // lblMaximum
      // 
      this.lblMaximum.AutoSize = true;
      this.lblMaximum.Location = new System.Drawing.Point(269, 20);
      this.lblMaximum.Name = "lblMaximum";
      this.lblMaximum.Size = new System.Drawing.Size(0, 13);
      this.lblMaximum.TabIndex = 21;
      // 
      // label4
      // 
      this.label4.AutoSize = true;
      this.label4.Location = new System.Drawing.Point(201, 20);
      this.label4.Name = "label4";
      this.label4.Size = new System.Drawing.Size(54, 13);
      this.label4.TabIndex = 20;
      this.label4.Text = "Maximum:";
      // 
      // lblMinimum
      // 
      this.lblMinimum.AutoSize = true;
      this.lblMinimum.Location = new System.Drawing.Point(62, 20);
      this.lblMinimum.Name = "lblMinimum";
      this.lblMinimum.Size = new System.Drawing.Size(0, 13);
      this.lblMinimum.TabIndex = 19;
      // 
      // label3
      // 
      this.label3.AutoSize = true;
      this.label3.Location = new System.Drawing.Point(3, 20);
      this.label3.Name = "label3";
      this.label3.Size = new System.Drawing.Size(51, 13);
      this.label3.TabIndex = 18;
      this.label3.Text = "Minimum:";
      // 
      // lblNullValues
      // 
      this.lblNullValues.AutoSize = true;
      this.lblNullValues.Location = new System.Drawing.Point(269, 0);
      this.lblNullValues.Name = "lblNullValues";
      this.lblNullValues.Size = new System.Drawing.Size(0, 13);
      this.lblNullValues.TabIndex = 17;
      // 
      // label2
      // 
      this.label2.AutoSize = true;
      this.label2.Location = new System.Drawing.Point(201, 0);
      this.label2.Name = "label2";
      this.label2.Size = new System.Drawing.Size(60, 13);
      this.label2.TabIndex = 16;
      this.label2.Text = "NullValues:";
      // 
      // lblValues
      // 
      this.lblValues.AutoSize = true;
      this.lblValues.Location = new System.Drawing.Point(62, 0);
      this.lblValues.Name = "lblValues";
      this.lblValues.Size = new System.Drawing.Size(0, 13);
      this.lblValues.TabIndex = 15;
      // 
      // label6
      // 
      this.label6.AutoSize = true;
      this.label6.Location = new System.Drawing.Point(3, 60);
      this.label6.Name = "label6";
      this.label6.Size = new System.Drawing.Size(45, 13);
      this.label6.TabIndex = 24;
      this.label6.Text = "Median:";
      // 
      // label7
      // 
      this.label7.AutoSize = true;
      this.label7.Location = new System.Drawing.Point(201, 40);
      this.label7.Name = "label7";
      this.label7.Size = new System.Drawing.Size(43, 13);
      this.label7.TabIndex = 26;
      this.label7.Text = "StdDev";
      // 
      // lblStdDev
      // 
      this.lblStdDev.AutoSize = true;
      this.lblStdDev.Location = new System.Drawing.Point(269, 40);
      this.lblStdDev.Name = "lblStdDev";
      this.lblStdDev.Size = new System.Drawing.Size(0, 13);
      this.lblStdDev.TabIndex = 27;
      // 
      // lblMedian
      // 
      this.lblMedian.AutoSize = true;
      this.lblMedian.Location = new System.Drawing.Point(62, 60);
      this.lblMedian.Name = "lblMedian";
      this.lblMedian.Size = new System.Drawing.Size(0, 13);
      this.lblMedian.TabIndex = 25;
      // 
      // ColumnGroupView
      // 
      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
      this.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
      this.Controls.Add(this.splitContainer1);
      this.MinimumSize = new System.Drawing.Size(400, 2);
      this.Name = "ColumnGroupView";
      this.Size = new System.Drawing.Size(398, 490);
      ((System.ComponentModel.ISupportInitialize)(this.dataGridView)).EndInit();
      this.splitContainer1.Panel1.ResumeLayout(false);
      this.splitContainer1.Panel1.PerformLayout();
      this.splitContainer1.Panel2.ResumeLayout(false);
      ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).EndInit();
      this.splitContainer1.ResumeLayout(false);
      this.tableLayoutPanel1.ResumeLayout(false);
      this.tableLayoutPanel1.PerformLayout();
      this.ResumeLayout(false);

    }

    #endregion

    private System.Windows.Forms.DataGridView dataGridView;
    private System.Windows.Forms.TextBox txtColumnGroupName;
    private System.Windows.Forms.SplitContainer splitContainer1;
    private System.Windows.Forms.Label label1;
    private System.Windows.Forms.Label lblValues;
    private System.Windows.Forms.Label label2;
    private System.Windows.Forms.Label lblNullValues;
    private System.Windows.Forms.Label label3;
    private System.Windows.Forms.Label lblMinimum;
    private System.Windows.Forms.Label label4;
    private System.Windows.Forms.Label lblMaximum;
    private System.Windows.Forms.Label label5;
    private System.Windows.Forms.Label lblMedian;
    private System.Windows.Forms.Label label6;
    private System.Windows.Forms.Label lblMean;
    private System.Windows.Forms.TableLayoutPanel tableLayoutPanel1;
    private System.Windows.Forms.Label label7;
    private System.Windows.Forms.Label lblStdDev;
    private System.Windows.Forms.ToolTip toolTip;
  }
}
